const express = require('express');
const path = require('path');
const session = require('express-session');
const app = express();

const shopRoutes = require('./routes/shopRoutes');
const db = require('./db');

// View Engine
app.set('view engine', 'ejs');
app.set('views', path.join(__dirname, 'views'));

// รับค่าจาก form
app.use(express.urlencoded({ extended: true }));

// Session
app.use(session({
  secret: 'ithub-secret',
  resave: false,
  saveUninitialized: false
}));

app.use((req, res, next) => {
  res.locals.user = req.session.user || null;
  next();
});

// Static
app.use(express.static(path.join(__dirname, 'public')));

// Routes
app.use('/', shopRoutes);

// Start Server
const PORT = 3001;
app.listen(PORT, () => {
  console.log(`Server is running on http://localhost:${PORT}`);
});
